---
kubernetes_haproxy_api_port: 6443
kubernetes_haproxy_ingress_port: 80
kubernetes_haproxy_minio_port: 9000
kubernetes_coder_server_port: 80
thanos_sidecar_port: 10901
grafana_port: 3000
kibana_port: 5601
kibana_basepath: "/kibana"
prometheus_port: 9090
alertmanager_port: 9093
talos_port: 80

reverseproxy_kubernetes_ingress_whitelisted_uris: []
reverseproxy_kubernetes_api_server: null
reverseproxy_kubernetes_ingress_server: "{{ reverseproxy_kubernetes_api_server }}"
reverseproxy_kubernetes_minio_server: "{{ reverseproxy_kubernetes_api_server }}"
reverseproxy_kubernetes_coder_server: null
reverseproxy_kubernetes_coder_server_name: null
reverseproxy_thanos_sidecar_server: null
reverseproxy_grafana_server: null
reverseproxy_kibana_server: null
reverseproxy_prometheus_server: null
reverseproxy_alertmanager_server: null
reverseproxy_talos_server: null

reverseproxy_client_max_body_size: "1m"
reverseproxy_client_body_buffer_size: "{{ reverseproxy_client_max_body_size }}"

reverseproxy_nginx_exposed_ports:
  - "80"
  - "443"
  - "9443" # exposes minio_port
  - "{{ kubernetes_haproxy_api_port }}"
  - "{{ thanos_sidecar_port }}"

reverseproxy_nginx_config_dir: /etc/nginx
reverseproxy_nginx_name: reverseproxy
reverseproxy_nginx_image: nginx:1.27.0
reverseproxy_nginx_log_options:
  max-size: "10m"
  max-file: "3"
  labels: "org.ska.app.group"

reverseproxy_redis_name: o2predis
reverseproxy_redis_image: redis:7.4.0
reverseproxy_redis_port: 6379
reverseproxy_oauth2proxy_enabled: true
reverseproxy_oauth2proxy_azuread_enabled: true # deploy azuread oauth by default, if set to false will fallback to gitlab
reverseproxy_oauth2proxy_name: oauth2proxy
reverseproxy_oauth2proxy_image: quay.io/oauth2-proxy/oauth2-proxy:v7.6.0
reverseproxy_oauth2proxy_port: 4180
reverseproxy_oauth2proxy_log_options:
  max-size: "10m"
  max-file: "3"
  labels: "org.ska.app.group"

reverseproxy_labels:
  org.ska.app.group: reverseproxy

reverseproxy_dns_name: "{{ _ | mandatory('`reverseproxy_dns_name` definition is mandatory') }}"
reverseproxy_oauth2proxy_client_id: "{{ _ | mandatory('`reverseproxy_oauth2proxy_client_id` definition is mandatory') }}"
reverseproxy_oauth2proxy_tenant_id: "{{ _ | mandatory('`reverseproxy_oauth2proxy_tenant_id` definition is mandatory') }}"
reverseproxy_oauth2proxy_gitlab_allowed_groups: "ska-telescope"

reverseproxy_use_self_signed_cert: false
reverseproxy_tls_vault_secret:
reverseproxy_tls_certs_dir: /etc/pki/tls
reverseproxy_tls_ca_crt_path: "{{ reverseproxy_tls_certs_dir }}/{{ reverseproxy_dns_name }}-ca.crt"
reverseproxy_tls_crt_path: "{{ reverseproxy_tls_certs_dir }}/{{ reverseproxy_dns_name }}.crt"
reverseproxy_tls_key_path: "{{ reverseproxy_tls_certs_dir }}/{{ reverseproxy_dns_name }}.key"
reverseproxy_coder_tls_crt_path: "{{ reverseproxy_tls_certs_dir }}/{{ reverseproxy_kubernetes_coder_server_name }}.crt"
reverseproxy_coder_tls_key_path: "{{ reverseproxy_tls_certs_dir }}/{{ reverseproxy_kubernetes_coder_server_name }}.key"

reverseproxy_extra_location_uri:
reverseproxy_proxy_buffering_enabled: true
# Shared

ca_host: ca
certificates_dir: /etc/pki/tls/private

# Secrets

reverseproxy_oauth2proxy_client_secret: "{{ _ | mandatory('`reverseproxy_oauth2proxy_client_secret` definition is mandatory') }}"
reverseproxy_oauth2proxy_cookie_secret: "{{ _ | mandatory('`reverseproxy_oauth2proxy_cookie_secret` definition is mandatory') }}"
